## e-backend-enums e-backend-enums |

## Types and Values

enum | EAuthenticationSessionResult
enum | EDBusServerExitCode
enum | ESourcePermissionFlags

## Description

## Functions

## Types and Values

### enum EAuthenticationSessionResult

Completion codes used by EAuthenticationSession.

#### Members

E_AUTHENTICATION_SESSION_ERROR | An error occurred while authenticating. |
E_AUTHENTICATION_SESSION_SUCCESS | Client reported successful authentication. |
E_AUTHENTICATION_SESSION_DISMISSED | User dismissed the authentication prompt. |

Since: 3.6

### enum EDBusServerExitCode

Exit codes submitted to `e_dbus_server_quit()` and returned by `e_dbus_server_run()`.

#### Members

E_DBUS_SERVER_EXIT_NONE | The server's run state is unchanged. |
E_DBUS_SERVER_EXIT_NORMAL | Normal termination. The process itself may now terminate. |
E_DBUS_SERVER_EXIT_RELOAD | The server should reload its configuration and start again. Servers that do not support reloading may wish to intercept this exit code and stop the “quit-server” emission. |

Since: 3.6

### enum ESourcePermissionFlags

Initial permissions for a newly-loaded data source key file.

#### Members

E_SOURCE_PERMISSION_NONE | The data source gets no initial permissions. |
E_SOURCE_PERMISSION_WRITABLE | The data source is initially writable. |
E_SOURCE_PERMISSION_REMOVABLE | The data source is initially removable. |

Since: 3.6